%global npm_name path-key
%global enable_tests 1

Name: nodejs-%{npm_name}
Version: 2.0.1
Release: %mkrel 3
Summary: Get the PATH environment variable key cross-platform
License: MIT
Group: Development/Other
URL: https://github.com/sindresorhus/path-key#readme
Source0: https://registry.npmjs.org/%{npm_name}/-/%{npm_name}-%{version}.tgz
BuildRequires: nodejs-packaging
BuildArch: noarch

%description
%{summary}

%prep
%setup -q -n package

%build
# Nothing to do here

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr index.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr package.json %{buildroot}%{nodejs_sitelib}/%{npm_name}

%nodejs_symlink_deps

%if 0%{?enable_tests}
%check
%{nodejs_symlink_deps} --check
%endif

%files
%{nodejs_sitelib}/%{npm_name}
%license license
%doc readme.md



%changelog
* Wed Feb 12 2020 umeabot <umeabot> 2.0.1-3.mga8
+ Revision: 1503110
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 2.0.1-2.mga7
+ Revision: 1280915
- Mageia 7 Mass Rebuild

* Mon Apr 30 2018 kekepower <kekepower> 2.0.1-1.mga7
+ Revision: 1223721
- imported package nodejs-path-key

